Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.security
Class XplatIdentityScope

    java.lang.Object
      |
      +--com.novell.java.security.Identity
            |
            +--com.novell.java.security.IdentityScope
                  |
                  +--com.novell.service.security.XplatIdentityScope

public class XplatIdentityScope
extends IdentityScope

Represents an authenticatable container in a Xplat system, such as a server. Every XplatIdentity is associated with a server identity scope which, in turn, is associated with the Xplat administrative domain scope. The server domain scope is a child of the administrative domain scope, and a user identity is a child of the server domain scope.

For example, to construct a user named Karah on a bindery server called Jaeger you could do the following: ``

     IdentityScope administrativeDomain  = new XplatIdentityScope();
     IdentityScope server                = new XplatIdentityScope("Jaeger",administrativeDomain);
     Identity      user                  = new XplatIdentity("Karah",server);

See Also:
  `XplatIdentity`, `Identity`, `IdentityScope`, `NdsIdentity`, `NdsIdentityScope`, Serialized Form

Field Summary
`static java.lang.String` | `ADMINISTRATIVE_DOMAIN_NAME` The administrative domain name.

Constructor Summary
`XplatIdentityScope()` Constructs the root-most identity scope with the ADMINISTRATIVE_DOMAIN_NAME name.
`XplatIdentityScope(IdentityScope identity)` Constructs an identity scope from another scope.
`XplatIdentityScope(java.lang.String name)` Constructs an identity scope with the specified name and no scope.
`XplatIdentityScope(java.lang.String name, IdentityScope scope)` Constructs an identity scope with the specified name passed-in as a String and the scope passed-in as an IdentityScope.

Method Summary
`void` | `addIdentity(Identity identity)` Adds an identity to this scope.
`Identity` | `getIdentity(java.lang.String name)` Returns the identity in this scope identified by the passed-in string name.
`java.util.Enumeration` | `identities()` Returns an enumeration of all identities in this identity scope.
`void` | `removeIdentity(Identity identity)` Removes an identity from this identity scope.
`int` | `size()` Returns the number of identities within this identity scope.

Methods inherited from class com.novell.java.security.IdentityScope
`getIdentity, getSystemScope, setSystemScope, toString`

Methods inherited from class com.novell.java.security.Identity
`addCertificate, equals, getCertificates, getInfo, getName, getPublicKey, getScope, hashCode, identityEquals, removeCertificate, setInfo, setPublicKey, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ADMINISTRATIVE_DOMAIN_NAME

    public static java.lang.String ADMINISTRATIVE_DOMAIN_NAME

  The administrative domain name.

Constructor Detail

### XplatIdentityScope

    public XplatIdentityScope()

  Constructs the root-most identity scope with the ADMINISTRATIVE_DOMAIN_NAME name.

### XplatIdentityScope

    public XplatIdentityScope(java.lang.String name)

  Constructs an identity scope with the specified name and no scope.
  Parameters:
    `name` - The name of the identity.

### XplatIdentityScope

    public XplatIdentityScope(java.lang.String name,
                              IdentityScope scope)
                       throws KeyManagementException

  Constructs an identity scope with the specified name passed-in as a String and the scope passed-in as an IdentityScope.
  Parameters:
    `name` - The name of the IdentityScope.
    `scope` - The scope of the IdentityScope.
  Throws:
    KeyManagementException - Thrown when an IdentityScope cannot be constructed due to key management issues.

### XplatIdentityScope

    public XplatIdentityScope(IdentityScope identity)
                       throws KeyManagementException

  Constructs an identity scope from another scope.
  Parameters:
    `scope` - The scope to copy.
  Throws:
    KeyManagementException - Thrown when an IdentityScope cannot be constructed due to key management issues.

Method Detail

### addIdentity

    public void addIdentity(Identity identity)

  Adds an identity to this scope.
  Parameters:
    `identity` - The identity to be added to this scope.
  Overrides:
    addIdentity in class IdentityScope

### removeIdentity

    public void removeIdentity(Identity identity)

  Removes an identity from this identity scope.
  Parameters:
    `identity` - The identity to remove from this scope.
  Overrides:
    removeIdentity in class IdentityScope

### getIdentity

    public Identity getIdentity(java.lang.String name)

  Returns the identity in this scope identified by the passed-in string name.
  Parameters:
    `name` - The name of the identity to be returned.
  Returns:
    The Identity for the name requested, or NULL if no name is passed in.
  Overrides:
    getIdentity in class IdentityScope

### identities

    public java.util.Enumeration identities()

  Returns an enumeration of all identities in this identity scope.
  Returns:
    An Enumeration of all identities in this identity scope.
  Overrides:
    identities in class IdentityScope

### size

    public int size()

  Returns the number of identities within this identity scope.
  Returns:
    The number of identities within this identity scope.
  Overrides:
    size in class IdentityScope

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD